For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get support
HomeDocsAPI ReferenceRelease Notes
HomeDocsAPI ReferenceRelease Notes
  • Payments API
    • POSTRefresh API Keys
    • POSTCharge
    • POSTCapture
    • POSTVoid or Refund
    • POSTCheck Surcharge
    • POSTCreate Hosted Payment Page
    • PUTEdit Hosted Payment Page
    • POSTCreate Vault Payment Account
    • GETGet Vault Payment Account
    • DELDelete a Vault Payment Account
    • PUTUpdate Vault Account Details
    • POSTCreate Billing Plan
    • GETGet Billing Plan
    • DELCancel Billing Plan
  • Authentication (Reporting & Boarding)
    • POSTGet access token
  • Reporting API
    • GETGet transactions data
    • GETGet deposits data
    • GETGet chargebacks data
    • GETGet adjustments data
  • Boarding API
    • GETList merchants
    • POSTCreate a new merchant
    • GETGet a single merchant
Get support
LogoLogo

Get access token

POST
/oauth/token
POST
/ords/sprint/oauth/token
$curl -X POST https://apps.runpayments.io/ords/sprint/oauth/token \
> -H "Content-Type: application/x-www-form-urlencoded" \
> -u "<username>:<password>" \
> -d "grant_type=client_credentials"
1{
2 "access_token": "string",
3 "token_type": "Bearer",
4 "expires_in": 3600
5}

Click the above URL to toggle between Reporting and Boarding APIs.

Obtain an OAuth 2.0 access token using basic authentication.
Authentication requires a Base64 encoded authorization header with your client_id as the username and your client_secret as the password.

Was this page helpful?
Previous

Get transactions data

Next
Built with

Authentication

AuthorizationBasic

Basic authentication using client_id as username and client_secret as password. Headers must include:

Authorization: Basic <base64-encoded-credentials>

where the encoded credentials are base64(client_id:client_secret).

Request

This endpoint expects an object.
grant_typeenumRequired

Must be “client_credentials”

Allowed values:

Response

Successful token response
access_tokenstring
The access token to use for authenticated requests
token_typestring
The token type
expires_ininteger
Token expiration time in seconds

Errors

400
Bad Request Error
401
Unauthorized Error